import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { catchError } from 'rxjs/operators';

import { ErrorLoggerService } from '../core/error-logger.service';

import { AttendanceType } from './attendance-type';

const url = '/api/attendance-types';
const serviceName = 'AttendanceTypeService';

@Injectable({ providedIn: 'root' })
export class AttendanceTypeService {
  constructor(private http: HttpClient, private log: ErrorLoggerService) {}

  list(): Observable<AttendanceType[]> {
    return this.http
      .get<AttendanceType[]>(url)
      .pipe(catchError(this.log.handleError(serviceName, 'list'))) as Observable<AttendanceType[]>;
  }
}
