import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { DaybookResolver } from './daybook-resolver.service';
import { DaybookComponent } from './daybook.component';

const daybookRoutes: Routes = [
  {
    path: '',
    component: DaybookComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Daybook',
    },
    resolve: {
      info: DaybookResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(daybookRoutes)],
  exports: [RouterModule],
  providers: [DaybookResolver],
})
export class DaybookRoutingModule {}
