import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { EntriesResolver } from './entries-resolver.service';
import { EntriesComponent } from './entries.component';

const entriesRoutes: Routes = [
  {
    path: '',
    component: EntriesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Ledger',
    },
    resolve: {
      info: EntriesResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(entriesRoutes)],
  exports: [RouterModule],
  providers: [EntriesResolver],
})
export class EntriesRoutingModule {}
