import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { PaymentAccountsResolver } from './payment-accounts-resolver.service';
import { PaymentResolver } from './payment-resolver.service';
import { PaymentComponent } from './payment.component';

const paymentRoutes: Routes = [
  {
    path: '',
    component: PaymentComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal',
    },
    resolve: {
      paymentAccounts: PaymentAccountsResolver,
      voucher: PaymentResolver,
    },
    runGuardsAndResolvers: 'paramsChange',
  },
  {
    path: ':id',
    component: PaymentComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'journal',
    },
    resolve: {
      paymentAccounts: PaymentAccountsResolver,
      voucher: PaymentResolver,
    },
    runGuardsAndResolvers: 'paramsChange',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(paymentRoutes)],
  exports: [RouterModule],
  providers: [PaymentResolver],
})
export class PaymentRoutingModule {}
