import { Component, OnInit, ViewChild } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ActivatedRoute } from '@angular/router';

import { RateContract } from '../rate-contract';

import { RateContractListDatasource } from './rate-contract-list-datasource';

@Component({
  selector: 'app-rate-contract-list',
  templateUrl: './rate-contract-list.component.html',
  styleUrls: ['./rate-contract-list.component.css'],
})
export class RateContractListComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator?: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort?: MatSort;
  list: RateContract[] = [];
  dataSource: RateContractListDatasource = new RateContractListDatasource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['vendor', 'validity', 'products'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: RateContract[] };

      this.list = data.list;
    });
    this.dataSource = new RateContractListDatasource(this.list, this.paginator, this.sort);
  }
}
