import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { RateContractDetailComponent } from './rate-contract-detail/rate-contract-detail.component';
import { RateContractListResolver } from './rate-contract-list-resolver.service';
import { RateContractListComponent } from './rate-contract-list/rate-contract-list.component';
import { RateContractResolver } from './rate-contract-resolver.service';

const rateContractRoutes: Routes = [
  {
    path: '',
    component: RateContractListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Rate Contracts',
    },
    resolve: {
      list: RateContractListResolver,
    },
  },
  {
    path: 'new',
    component: RateContractDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Rate Contracts',
    },
    resolve: {
      item: RateContractResolver,
    },
  },
  {
    path: ':id',
    component: RateContractDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Rate Contracts',
    },
    resolve: {
      item: RateContractResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(rateContractRoutes)],
  exports: [RouterModule],
  providers: [RateContractListResolver, RateContractResolver],
})
export class RateContractRoutingModule {}
