import { ProductSku } from '../core/product-sku';
import { Period } from '../period/period';

import { RecipeItem } from './recipe-item';

export class Recipe {
  id: string | undefined;
  sku: ProductSku;
  recipeYield: number;
  costPrice: number;
  salePrice: number;
  notes: string;
  items: RecipeItem[];
  period: Period;

  public constructor(init?: Partial<Recipe>) {
    this.sku = new ProductSku();
    this.recipeYield = 0;
    this.salePrice = 0;
    this.costPrice = 0;
    this.notes = '';
    this.items = [];
    this.period = new Period();
    Object.assign(this, init);
  }
}
