import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { TrialBalanceResolver } from './trial-balance-resolver.service';
import { TrialBalanceComponent } from './trial-balance.component';

const trialBalanceRoutes: Routes = [
  {
    path: '',
    component: TrialBalanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Trial Balance',
    },
    resolve: {
      info: TrialBalanceResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':date',
    component: TrialBalanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Trial Balance',
    },
    resolve: {
      info: TrialBalanceResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(trialBalanceRoutes)],
  exports: [RouterModule],
  providers: [TrialBalanceResolver],
})
export class TrialBalanceRoutingModule {}
