import { Component, OnInit, ViewChild } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ActivatedRoute } from '@angular/router';

import { User } from '../../core/user';

import { UserListDataSource } from './user-list-datasource';

@Component({
  selector: 'app-user-list',
  templateUrl: './user-list.component.html',
  styleUrls: ['./user-list.component.css'],
})
export class UserListComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator?: MatPaginator = undefined;
  @ViewChild(MatSort, { static: true }) sort?: MatSort = undefined;
  list: User[] = [];
  dataSource: UserListDataSource = new UserListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'lockedOut', 'roles', 'last'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: User[] };
      this.list = data.list;
    });
    this.dataSource = new UserListDataSource(this.list, this.paginator, this.sort);
  }
}
